Bug 1460694 - It's possible to issue multiple concurrent LSM commands on the same disk
It's possible to issue multiple concurrent LSM commands on the same disk
Status: VERIFIED
Product: ovirt-engine
Classification: oVirt
Component: BLL.Storage (Show other bugs)
future
Unspecified Unspecified
unspecified Severity medium (vote)
: ovirt-4.2.0
: ---
Assigned To: Benny Zlotnik
Lilach Zitnitski
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-12 08:20 EDT by Benny Zlotnik
Modified: 2017-09-28 04:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.2+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 78097 master MERGED Revert "core: change LSM lock scope to execution" 2017-06-12 11:56 EDT

  None (edit)
Description Benny Zlotnik 2017-06-12 08:20:35 EDT
Description of problem:
As a result of the patch[1], it is possible to issue multiple LSM commands causing the creation of multiple auto-generated snapshots

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Start a move via the REST API
2. Immediately start another

Actual results:
Multiple snapshots are created

Expected results:
The subsequent calls to the move command should fail until the first is finished

Additional info:
1 - https://gerrit.ovirt.org/#/c/77504/
Comment 1 Lilach Zitnitski 2017-07-13 03:02:54 EDT
--------------------------------------
Tested with the following code:
----------------------------------------
ovirt-engine-4.2.0-0.0.master.20170711205308.git8e7af78.el7.centos.noarch
vdsm-4.20.1-176.gitecbab6b.el7.centos.x86_64

Tested with the following scenario:

Steps to Reproduce:
1. Start a move via the REST API
2. Immediately start another

Actual results:
Second move failed to start

Expected results:

Moving to VERIFIED!

Note You need to log in before you can comment on or make changes to this bug.